Index: resources/common.qrc
===================================================================
--- resources/common.qrc	(revision a713b103e88a47f59aa828c533e2a3e5c73317df)
+++ resources/common.qrc	(revision cac8759dbabd82dccee10bfbb542938d3c24e10f)
@@ -2,19 +2,5 @@
     <qresource prefix="/images">
         <file>tspsg.png</file>
-        <file>icons/application-exit.png</file>
-        <file>icons/dialog-cancel.png</file>
-        <file>icons/dialog-ok.png</file>
-        <file>icons/document-new.png</file>
-        <file>icons/document-open.png</file>
-        <file>icons/document-save.png</file>
-        <file>icons/document-save-as.png</file>
-        <file>icons/format-text-color.png</file>
-        <file>icons/go-previous.png</file>
-        <file>icons/help-about.png</file>
-        <file>icons/help-hint.png</file>
-        <file>icons/preferences-desktop-font.png</file>
-        <file>icons/preferences-system.png</file>
         <file>icons/qtlogo-64.png</file>
-        <file>icons/roll.png</file>
     </qresource>
     <qresource prefix="/files">
Index: resources/desktop-scalable.qrc
===================================================================
--- resources/desktop-scalable.qrc	(revision cac8759dbabd82dccee10bfbb542938d3c24e10f)
+++ resources/desktop-scalable.qrc	(revision cac8759dbabd82dccee10bfbb542938d3c24e10f)
@@ -0,0 +1,29 @@
+<RCC>
+    <qresource prefix="/images">
+        <file>icons/l10n/flag-gb.png</file>
+        <file>icons/l10n/flag-ru.png</file>
+        <file>icons/l10n/flag-ua.png</file>
+        <file>icons/scalable/application-exit.svgz</file>
+        <file>icons/scalable/configure-toolbars.svgz</file>
+        <file>icons/scalable/dialog-cancel.svgz</file>
+        <file>icons/scalable/dialog-ok.svgz</file>
+        <file>icons/scalable/document-new.svgz</file>
+        <file>icons/scalable/document-open.svgz</file>
+        <file>icons/scalable/document-print.svgz</file>
+        <file>icons/scalable/document-print-preview.svgz</file>
+        <file>icons/scalable/document-save.svgz</file>
+        <file>icons/scalable/document-save-as.svgz</file>
+        <file>icons/scalable/format-text-color.svgz</file>
+        <file>icons/scalable/go-previous.svgz</file>
+        <file>icons/scalable/help-about.svgz</file>
+        <file>icons/scalable/help-contents.svgz</file>
+        <file>icons/scalable/help-contextual.svgz</file>
+        <file>icons/scalable/help-hint.svgz</file>
+        <file>icons/scalable/preferences-desktop-font.svgz</file>
+        <file>icons/scalable/preferences-desktop-locale.svgz</file>
+        <file>icons/scalable/preferences-desktop-theme.svgz</file>
+        <file>icons/scalable/preferences-system.svgz</file>
+        <file>icons/scalable/roll.svgz</file>
+        <file>icons/scalable/system-software-update.svgz</file>
+    </qresource>
+</RCC>
Index: resources/desktop.qrc
===================================================================
--- resources/desktop.qrc	(revision a713b103e88a47f59aa828c533e2a3e5c73317df)
+++ resources/desktop.qrc	(revision cac8759dbabd82dccee10bfbb542938d3c24e10f)
@@ -1,15 +1,29 @@
 <RCC>
     <qresource prefix="/images">
-        <file>icons/configure-toolbars.png</file>
-        <file>icons/document-print.png</file>
-        <file>icons/document-print-preview.png</file>
-        <file>icons/help-contents.png</file>
-        <file>icons/help-contextual.png</file>
-        <file>icons/preferences-desktop-locale.png</file>
-        <file>icons/preferences-desktop-theme.png</file>
-        <file>icons/system-software-update.png</file>
         <file>icons/l10n/flag-gb.png</file>
         <file>icons/l10n/flag-ru.png</file>
         <file>icons/l10n/flag-ua.png</file>
+        <file>icons/128x128/application-exit.png</file>
+        <file>icons/128x128/configure-toolbars.png</file>
+        <file>icons/128x128/dialog-cancel.png</file>
+        <file>icons/128x128/dialog-ok.png</file>
+        <file>icons/128x128/document-new.png</file>
+        <file>icons/128x128/document-open.png</file>
+        <file>icons/128x128/document-print.png</file>
+        <file>icons/128x128/document-print-preview.png</file>
+        <file>icons/128x128/document-save.png</file>
+        <file>icons/128x128/document-save-as.png</file>
+        <file>icons/128x128/format-text-color.png</file>
+        <file>icons/128x128/go-previous.png</file>
+        <file>icons/128x128/help-about.png</file>
+        <file>icons/128x128/help-contents.png</file>
+        <file>icons/128x128/help-contextual.png</file>
+        <file>icons/128x128/help-hint.png</file>
+        <file>icons/128x128/preferences-desktop-font.png</file>
+        <file>icons/128x128/preferences-desktop-locale.png</file>
+        <file>icons/128x128/preferences-desktop-theme.png</file>
+        <file>icons/128x128/preferences-system.png</file>
+        <file>icons/128x128/roll.png</file>
+        <file>icons/128x128/system-software-update.png</file>
     </qresource>
 </RCC>
Index: resources/handheld.qrc
===================================================================
--- resources/handheld.qrc	(revision cac8759dbabd82dccee10bfbb542938d3c24e10f)
+++ resources/handheld.qrc	(revision cac8759dbabd82dccee10bfbb542938d3c24e10f)
@@ -0,0 +1,18 @@
+<RCC>
+    <qresource prefix="/images">
+        <file>icons/32x32/application-exit.png</file>
+        <file>icons/32x32/dialog-cancel.png</file>
+        <file>icons/32x32/dialog-ok.png</file>
+        <file>icons/32x32/document-new.png</file>
+        <file>icons/32x32/document-open.png</file>
+        <file>icons/32x32/document-save.png</file>
+        <file>icons/32x32/document-save-as.png</file>
+        <file>icons/32x32/format-text-color.png</file>
+        <file>icons/32x32/go-previous.png</file>
+        <file>icons/32x32/help-about.png</file>
+        <file>icons/32x32/help-hint.png</file>
+        <file>icons/32x32/preferences-desktop-font.png</file>
+        <file>icons/32x32/preferences-system.png</file>
+        <file>icons/32x32/roll.png</file>
+    </qresource>
+</RCC>
